package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * ActivePairMultiSiteOpenApiDto
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class ActivePairMultiSiteOpenApiDto   {
  @JsonProperty("siteId")
  private String siteId;

  @JsonProperty("deviceMac")
  private String deviceMac;

  @JsonProperty("licenseType")
  private String licenseType;

  @JsonProperty("licenseId")
  private String licenseId;

  public ActivePairMultiSiteOpenApiDto siteId(String siteId) {
    this.siteId = siteId;
    return this;
  }

  /**
   * Site ID
   * @return siteId
  */
  @ApiModelProperty(value = "Site ID")


  public String getSiteId() {
    return siteId;
  }

  public void setSiteId(String siteId) {
    this.siteId = siteId;
  }

  public ActivePairMultiSiteOpenApiDto deviceMac(String deviceMac) {
    this.deviceMac = deviceMac;
    return this;
  }

  /**
   * Device MAC address, like AA-BB-CC-DD-EE-FF
   * @return deviceMac
  */
  @ApiModelProperty(required = true, value = "Device MAC address, like AA-BB-CC-DD-EE-FF")
  @NotNull


  public String getDeviceMac() {
    return deviceMac;
  }

  public void setDeviceMac(String deviceMac) {
    this.deviceMac = deviceMac;
  }

  public ActivePairMultiSiteOpenApiDto licenseType(String licenseType) {
    this.licenseType = licenseType;
    return this;
  }

  /**
   * License type should be a value as follows: Cloud Based Controller(1year, 2years, 3years, 4years, 5years, others, trial); Local Controller(trial, permanent);
   * @return licenseType
  */
  @ApiModelProperty(required = true, value = "License type should be a value as follows: Cloud Based Controller(1year, 2years, 3years, 4years, 5years, others, trial); Local Controller(trial, permanent);")
  @NotNull


  public String getLicenseType() {
    return licenseType;
  }

  public void setLicenseType(String licenseType) {
    this.licenseType = licenseType;
  }

  public ActivePairMultiSiteOpenApiDto licenseId(String licenseId) {
    this.licenseId = licenseId;
    return this;
  }

  /**
   * License ID
   * @return licenseId
  */
  @ApiModelProperty(value = "License ID")


  public String getLicenseId() {
    return licenseId;
  }

  public void setLicenseId(String licenseId) {
    this.licenseId = licenseId;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ActivePairMultiSiteOpenApiDto activePairMultiSiteOpenApiDto = (ActivePairMultiSiteOpenApiDto) o;
    return Objects.equals(this.siteId, activePairMultiSiteOpenApiDto.siteId) &&
        Objects.equals(this.deviceMac, activePairMultiSiteOpenApiDto.deviceMac) &&
        Objects.equals(this.licenseType, activePairMultiSiteOpenApiDto.licenseType) &&
        Objects.equals(this.licenseId, activePairMultiSiteOpenApiDto.licenseId);
  }

  @Override
  public int hashCode() {
    return Objects.hash(siteId, deviceMac, licenseType, licenseId);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ActivePairMultiSiteOpenApiDto {\n");
    
    sb.append("    siteId: ").append(toIndentedString(siteId)).append("\n");
    sb.append("    deviceMac: ").append(toIndentedString(deviceMac)).append("\n");
    sb.append("    licenseType: ").append(toIndentedString(licenseType)).append("\n");
    sb.append("    licenseId: ").append(toIndentedString(licenseId)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

